<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link href="/css/style.css" rel="stylesheet" type="text/css">
    <title>Document</title>
</head>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script>
window.fbAsyncInit = function() {
  FB.init({
    appId      : '902552709937369',
    cookie     : true,
    xfbml      : true,
    version    : 'v3.0'
  });
    
  FB.AppEvents.logPageView();  
  myCallbackFunction();
  FB.Event.subscribe('auth.login', myCallbackFunction);  
};

(function(d, s, id){
   var js, fjs = d.getElementsByTagName(s)[0];
   if (d.getElementById(id)) {return;}
   js = d.createElement(s); js.id = id;
   js.src = "https://connect.facebook.net/en_US/sdk.js";
   fjs.parentNode.insertBefore(js, fjs);
 }(document, 'script', 'facebook-jssdk'));

function myCallbackFunction (response) {
    FB.getLoginStatus(function(response) {
        //console.log(response);
        //console.log(response.authResponse.accessToken); 
        if(response.status == 'connected'){
            FB.api("/me?fields=name,id,email,picture",function(res){
                console.log(res)
            
                $.ajax({
                        type: "POST",
                        url: "/signin",
                        contentType: "application/json",
                        dataType: "json",
                        data: JSON.stringify({
                            fb_token: response.authResponse.accessToken,
                            fb_user_id: response.authResponse.userID,
                            fb_profile:res
                        }),
                        success: function(response) {
                            console.log(response);
                        },
                        error: function(response) {
                            console.log(response);
                        }
                });
            });
            console.log('login success')
        }else{
            console.log('not login')
        }
    });
}
</script>
<body>
    <%- body %>
</body>
</html>